import { r as registerInstance, c as createEvent, h } from './index-ecdfb761.js';

const DvnFieldInputAttachment = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.blur = createEvent(this, "blur", 7);
  }
  render() {
    const { disabled, errors, field, value } = this;
    const hasError = errors && errors.length > 0;
    return (h("dvn-file-input", { disabled: disabled || field.disabled, placeholder: field.placeholder, onBlur: () => this.blur.emit(), value: value, multiple: field.multiple, feedback: hasError ? 'error' : undefined, leaned: true, overrideStyle: { width: '100%' } }));
  }
};

export { DvnFieldInputAttachment as dvn_field_input_attachment };
